## tomotko 0.11.2-1

=== Makefile ===
#############################################################################
# Makefile for building: toMOTko
# Generated by qmake (2.01a) (Qt 4.5.2) on: Sun Aug 16 22:39:42 2009
# Project:  toMOTko.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile toMOTko.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/QtXml -I/targets/DIABLO_ARMEL/usr/include/qt4 -I. -Isrc -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/Util.cpp \
		src/BilingualKey.cpp \
		src/DigraphLineEdit.cpp \
		src/HelpBrowser.cpp \
		src/ScrollableLineEdit.cpp \
		src/ScrollableMultiLineEdit.cpp \
		src/DigraphMultiLineEdit.cpp \
		src/Sequence.cpp \
		src/Preferences.cpp \
		src/PropertiesPanel.cpp \
		src/TermDialog.cpp \
		src/TranslationSelectionDialog.cpp \
		src/ResultListItem.cpp \
		src/HistoryField.cpp \
		src/SearchDialog.cpp \
		src/SequenceDialog.cpp \
		src/SequenceListItem.cpp \
		src/PreferencesDialog.cpp \
		src/Controller.cpp \
		src/main.cpp \
		src/MainWindow.cpp \
		src/PixMap.cpp \
		src/QuizFrame.cpp \
		src/VocabularyManagerFrame.cpp \
		src/Term.cpp \
		src/TermKey.cpp \
		src/Folder.cpp \
		src/TermListItem.cpp \
		src/StandbyTerm.cpp \
		src/TermScheduler.cpp \
		src/Translation.cpp \
		src/ContentListView.cpp \
		src/VocabTreeView.cpp \
		src/TreeItem.cpp \
		src/VocabTreeItem.cpp \
		src/FolderTreeItem.cpp \
		src/FolderParser.cpp \
		src/VocabParser.cpp \
		src/Vocabulary.cpp \
		src/minizip/ioapi.c \
		src/minizip/zip.c \
		src/minizip/unzip.c moc_DigraphLineEdit.cpp \
		moc_HelpBrowser.cpp \
		moc_ScrollableLineEdit.cpp \
		moc_ScrollableMultiLineEdit.cpp \
		moc_DigraphMultiLineEdit.cpp \
		moc_Preferences.cpp \
		moc_PropertiesPanel.cpp \
		moc_TermDialog.cpp \
		moc_TranslationSelectionDialog.cpp \
		moc_HistoryField.cpp \
		moc_SearchDialog.cpp \
		moc_SequenceDialog.cpp \
		moc_PreferencesDialog.cpp \
		moc_Controller.cpp \
		moc_MainWindow.cpp \
		moc_QuizFrame.cpp \
		moc_VocabularyManagerFrame.cpp \
		moc_VocabTreeView.cpp \
		qrc_toMOTko.cpp
OBJECTS       = Util.o \
		BilingualKey.o \
		DigraphLineEdit.o \
		HelpBrowser.o \
		ScrollableLineEdit.o \
		ScrollableMultiLineEdit.o \
		DigraphMultiLineEdit.o \
		Sequence.o \
		Preferences.o \
		PropertiesPanel.o \
		TermDialog.o \
		TranslationSelectionDialog.o \
		ResultListItem.o \
		HistoryField.o \
		SearchDialog.o \
		SequenceDialog.o \
		SequenceListItem.o \
		PreferencesDialog.o \
		Controller.o \
		main.o \
		MainWindow.o \
		PixMap.o \
		QuizFrame.o \
		VocabularyManagerFrame.o \
		Term.o \
		TermKey.o \
		Folder.o \
		TermListItem.o \
		StandbyTerm.o \
		TermScheduler.o \
		Translation.o \
		ContentListView.o \
		VocabTreeView.o \
		TreeItem.o \
		VocabTreeItem.o \
		FolderTreeItem.o \
		FolderParser.o \
		VocabParser.o \
		Vocabulary.o \
		ioapi.o \
		zip.o \
		unzip.o \
		moc_DigraphLineEdit.o \
		moc_HelpBrowser.o \
		moc_ScrollableLineEdit.o \
		moc_ScrollableMultiLineEdit.o \
		moc_DigraphMultiLineEdit.o \
		moc_Preferences.o \
		moc_PropertiesPanel.o \
		moc_TermDialog.o \
		moc_TranslationSelectionDialog.o \
		moc_HistoryField.o \
		moc_SearchDialog.o \
		moc_SequenceDialog.o \
		moc_PreferencesDialog.o \
		moc_Controller.o \
		moc_MainWindow.o \
		moc_QuizFrame.o \
		moc_VocabularyManagerFrame.o \
		moc_VocabTreeView.o \
		qrc_toMOTko.o
DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		toMOTko.pro
QMAKE_TARGET  = toMOTko
DESTDIR       = 
TARGET        = toMOTko

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: toMOTko.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile toMOTko.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile toMOTko.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/toMOTko1.0.0 || $(MKDIR) .tmp/toMOTko1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/toMOTko1.0.0/ && $(COPY_FILE) --parents src/Base.h src/Util.h src/BilingualKey.h src/DigraphLineEdit.h src/HelpBrowser.h src/ScrollableLineEdit.h src/ScrollableMultiLineEdit.h src/DigraphMultiLineEdit.h src/Sequence.h src/Preferences.h src/PropertiesPanel.h src/TermDialog.h src/TranslationSelectionDialog.h src/ResultListItem.h src/HistoryField.h src/SearchDialog.h src/KeyActionListViewItem.h src/SequenceDialog.h src/SequenceListItem.h src/PreferencesDialog.h src/Controller.h src/MainWindow.h src/PixMap.h src/QuizFrame.h src/VocabularyManagerFrame.h src/Term.h src/TermKey.h src/Folder.h src/TermListItem.h src/StandbyTerm.h src/TermScheduler.h src/Translation.h src/ContentListView.h src/VocabTreeView.h src/TreeItem.h src/VocabTreeItem.h src/FolderTreeItem.h src/FolderParser.h src/VocabParser.h src/Vocabulary.h src/minizip/crypt.h src/minizip/ioapi.h src/minizip/zip.h src/minizip/unzip.h src/zconf.h src/zlib.h .tmp/toMOTko1.0.0/ && $(COPY_FILE) --parents toMOTko.qrc .tmp/toMOTko1.0.0/ && $(COPY_FILE) --parents src/Util.cpp src/BilingualKey.cpp src/DigraphLineEdit.cpp src/HelpBrowser.cpp src/ScrollableLineEdit.cpp src/ScrollableMultiLineEdit.cpp src/DigraphMultiLineEdit.cpp src/Sequence.cpp src/Preferences.cpp src/PropertiesPanel.cpp src/TermDialog.cpp src/TranslationSelectionDialog.cpp src/ResultListItem.cpp src/HistoryField.cpp src/SearchDialog.cpp src/SequenceDialog.cpp src/SequenceListItem.cpp src/PreferencesDialog.cpp src/Controller.cpp src/main.cpp src/MainWindow.cpp src/PixMap.cpp src/QuizFrame.cpp src/VocabularyManagerFrame.cpp src/Term.cpp src/TermKey.cpp src/Folder.cpp src/TermListItem.cpp src/StandbyTerm.cpp src/TermScheduler.cpp src/Translation.cpp src/ContentListView.cpp src/VocabTreeView.cpp src/TreeItem.cpp src/VocabTreeItem.cpp src/FolderTreeItem.cpp src/FolderParser.cpp src/VocabParser.cpp src/Vocabulary.cpp src/minizip/ioapi.c src/minizip/zip.c src/minizip/unzip.c .tmp/toMOTko1.0.0/ && $(COPY_FILE) --parents i18n/en/toMOTko.ts i18n/fr/toMOTko.ts i18n/ja/toMOTko.ts i18n/es/toMOTko.ts i18n/zh/toMOTko.ts i18n/de/toMOTko.ts .tmp/toMOTko1.0.0/ && (cd `dirname .tmp/toMOTko1.0.0` && $(TAR) toMOTko1.0.0.tar toMOTko1.0.0 && $(COMPRESS) toMOTko1.0.0.tar) && $(MOVE) `dirname .tmp/toMOTko1.0.0`/toMOTko1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/toMOTko1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

=== debian/changelog ===
tomotko (0.11.2-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Sat, 15 Aug 2009 00:41:45 +0900

=== debian/control ===
Source: tomotko
Section: user/education
Priority: extra
Maintainer: Frederic Bergeron <fbergeron@users.sourceforge.net>
Build-Depends: debhelper (>= 5), libqt4-dev, qt4-qmake, libqt4-xml, libexpat1, libfreetype6, libqtcore4, libqtgui4, libfontconfig1, g++
Standards-Version: 3.7.2

Package: tomotko
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Flashcard application to learn vocabulary
 Flashcard application convenient for people wanting to learn
 vocabulary in one or more foreign languages.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kIDg8vE7S05TsAAAexSURBVEjHfZV7cJTVGcZ/5/v2lmQ3bBKzSUgW
 SFMMICiiFbXYIA404mir0jpop4odLVrbaqej02pbK6KlYuswjnU6Fqwz2s5o
 AbVVoKIJBC8UlCBBIBfZzbfJ3rL3+3c5/SMGwVLff845M+85z3me88xzVL6k
 9kf3ilj25htnX7jmJk/j8qrqhivGkqGd+tl6u1Z0ERgO/N+zxOmL1fe+wd+e
 WknXqhdUf8ecbrA/aVhKZ6k4eXYxkykXcvH148FPnx468EBy5oJ1BD7+FV0r
 uujd1XtqPL1a25r+F+jTlKTdK1j76JH7XS7HhkJB4m2qIxtPSLsqKJUMMThw
 gnBgdEc4HliVHHky37X8KoQw6dnV82XioExNntn2Ie1ewXPbhr67aEHt79R8
 HD0blclgAK9biCMfHBAT4ajMZQrSqBS7vdX1TwHMbCp+4bqT1dbWhN/fLNrO
 xgjgiRcCw9qnE18JHzwgNekSVcUkJaeX8WCAmhoPSk2TnAgdE6pq1+z2cvfg
 oUcHzsagra0JIQRSSjQtMsnoB488A8Cmbce+dvhQqHWo/5Cc7/xYXGI/zuyy
 xnViH4uMo8xK9CMzGSFRQOqNdltuydkAAIQQjI6G0bTI59L95dd3AxAKGvMO
 vvueUpvdJ9STvdx8hcIda87nnrsuo947htt6lxaZQFoSFJxSllq/CKRpEfxt
 zQAqwKZjww7ufkSxnd4UCZfF2PB+5s0tUXPpVcS97XRf2IJ0evjZT79PaeAg
 D/UI9FgeRbGjup11Z5NNCmnTRiPGlis73ZcFjz320RL/yBlA8YnyoK6bZr82
 Yn/5uUco51PgciBMiw6Pk/6oQSYvKRei2B0+VJvzjDee3tpISIsihDAAFnR1
 3+uIxn+cPdF/UDm9sb7Vkaip88tEqsxQNIXT14i2+UWMeAxDUSnmChiGhVFO
 UillQaql0/ePhWIIIVj/xLqFo++8vrtjxsx1e3t6yI4OFxWABzf8AoDaRjPj
 rp8pkymDX/5+M8lsibbrulF9jVjZGG4PFIWOlBUqxSTyC0BTIXD7tddsbzHL
 y6RALuuYhuWyva0ArH/g8UltDVxS2gSqh5dfe4vv3flzAobEimkoQx9yJNpA
 YPQ4pWKeQn5C6ro8BbT2ttsAOLz9hTWN6URz+cQnMjeuidz4aCaZSb2iANy+
 /h4BYBOWz+l0CVX1YnP4eGPPHq6/9YeojlpOzFrFkeYLWXHj1/n2qsV867rF
 0neOOJV7zz7/PJuf2jjLf45vLbGoU0/ERXUhgW5aeyYmssEpM0gAt8o8t8ej
 CgW83hnc+aP7mH/udLaMuikoVYTFx1xz1Xyu7l6D0+FQCoXs/f1HV+5e/o3L
 DwBc0NneYTPMTiOZopjPkdE0ZEPdyNodB/IKwOYHn550ja++3TCKiqe2losW
 z2fO7HaavB5OhuL07NxKXY3J8mWXU+1yUFNll40N9fXTps3609r7X68HsFJh
 YQpLsdV5qbKruKZPH886Pe8AhgIgpQSgoiu1hp4VS69cwA3XLqLdFaPvQB/v
 7nwRWQjS0d6GzenC5bRPxZc8r7P54kZfyyZAFLyt1TlndZVx9D8kMintWKZw
 w5INm7cD2E7FRbyvYeMziUv89ZpS58kRGhumd88Q2VwBX70TmygxFkli6BYA
 lmWRyVVIpA05r9N3y6337a2Kjp/cMdj7b5WxEUrp7B/vebXvfSkld31z8efp
 XdHn3iLyvYub62NUCiksPU/nV2cwt2M6VU5BPl8kMDhAPJkjlsxjWiZOuyJq
 XJLZ7W5aWtwri2bL2psuPo+mUomtR4/3ASw/18ezu/ZPAm19dfvMnjdfW+22
 pUgnJ2Tn3PPweNyoqqBULmEYBrpeof+jXh5+bCuxCYmq2HA4bNR6qsXQySw2
 LNe5/rpFDmHJZRfMw1fnyQC8NRgDQN248Ylp0Wj076lEckksFqXG7RZOp5NI
 ZJxoNEI2kyGdSpFIJEBKItoRIqU5zO5oJZMrylfe1MRF8+tYfa2fJlsCY2RI
 mKkEh0eCz+8bjY9PKaY2+3w/0SuVOyrlMpl0WgpFEcNDJxgaPEE4PE46nSKX
 y2KaJrpukogH5UD/O6JjziXY7HWoKiy9tEmU8zmUZAQjFIBchky28N4/jp48
 NAVkGxkZnimlhd1uly5XtVAUhXB4jCk3VioVVFVFSkkmk5KWVMREeHA0EAw+
 lMjV/vXShU0AsphMimnSQigqEmh2OxvO+Mq9DS27KxWdQr4g0ukkodAoUgos
 S/KZ67Esi3K5LHVdF1JK7C7P9e+93/1S395jD2uRYlYbT4jQ9pcQdgfSsqRl
 SU4GtaHTgWyXL12283h/P4f7D2FJCykllmVhs1WBNFFUiZQWpmkI0zQwTHND
 IZ89uPvVeoDf+md/kNEHev9wdYME05KKQCSLBda8PfCvMxh958Zr2tetf5gF
 CxdS66nF75+B1zuNqiobltQRn/04umFgWlbYtMw/AzS0XA9A375PtgeSpbfy
 juqPsCmiYJiM5Yu/AYwzGPkaGlYKYadj7oJKpZgmXyjQ1ubHNE1CIY1cLks6
 nSKfz9ullC+mMrkgwMT4tsm03rUlcP7cO1YfT8erR/btv6kcSX2y6Z89OwDO
 b4TDk+7mvwxz3jwXz+qHAAAAAElFTkSuQmCC

## tomotko 0.11.2-2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: toMOTko
-# Generated by qmake (2.01a) (Qt 4.5.2) on: Sun Aug 16 22:39:42 2009
+# Generated by qmake (2.01a) (Qt 4.5.2) on: Sun Aug 23 00:35:01 2009
 # Project:  toMOTko.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile toMOTko.pro

=== debian/changelog ===
tomotko (0.11.2-2) unstable; urgency=low

  * Cleaned the debian directory for creating the deb file.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Sat, 22 Aug 2009 00:41:45 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/education
 Priority: extra
 Maintainer: Frederic Bergeron <fbergeron@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), libqt4-dev, qt4-qmake, libqt4-xml, libexpat1, libfreetype6, libqtcore4, libqtgui4, libfontconfig1, g++
+Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.2
 
 Package: tomotko

## tomotko 0.11.2-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: toMOTko
-# Generated by qmake (2.01a) (Qt 4.5.2) on: Sun Aug 23 00:35:01 2009
+# Generated by qmake (2.01a) (Qt 4.5.2) on: Thu Sep 3 11:25:41 2009
 # Project:  toMOTko.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile toMOTko.pro
@@ -10,10 +10,10 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
 CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/QtXml -I/targets/DIABLO_ARMEL/usr/include/qt4 -I. -Isrc -I.
+INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I.
 LINK          = g++
 LFLAGS        = -Wl,-O1
 LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtCore -lpthread
@@ -163,25 +163,25 @@
 		moc_VocabularyManagerFrame.o \
 		moc_VocabTreeView.o \
 		qrc_toMOTko.o
-DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
+DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		toMOTko.pro
 QMAKE_TARGET  = toMOTko
 DESTDIR       = 
@@ -214,51 +214,45 @@
 $(TARGET):  $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: toMOTko.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
-		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		/usr/lib/libQtXml.prl \
-		/usr/lib/libQtGui.prl \
-		/usr/lib/libQtCore.prl
+Makefile: toMOTko.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
 	$(QMAKE) -unix -o Makefile toMOTko.pro
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
-/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
-/usr/lib/libQtXml.prl:
-/usr/lib/libQtGui.prl:
-/usr/lib/libQtCore.prl:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile toMOTko.pro
 
@@ -283,3 +277,4 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
+compiler_moc_header_make_all: moc_DigraphLineEdit.cpp moc_HelpBrowser.cpp moc_ScrollableLineEdit.cpp moc_ScrollableMultiLineEdit.cpp moc_DigraphMultiLineEdit.cpp moc_Preferences.cpp moc_PropertiesPanel.cpp moc_TermDialog.cpp moc_TranslationSelectionDialog.cpp moc_HistoryField.cpp moc_SearchDialog.cpp moc_SequenceDialog.cpp moc_PreferencesDialog.cpp moc_Controller.cpp moc_MainWindow.cpp moc_QuizFrame.cpp moc_VocabularyManagerFrame.cpp moc_VocabTreeView.cpp

=== debian/changelog ===
tomotko (0.11.2-3) unstable; urgency=low

  * Maximized some windows to make them usable.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Fri, 4 Sep 2009 00:41:45 +0900

## tomotko 0.11.2-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: toMOTko
-# Generated by qmake (2.01a) (Qt 4.5.2) on: Thu Sep 3 11:25:41 2009
+# Generated by qmake (2.01a) (Qt 4.5.2) on: Thu Sep 10 15:06:32 2009
 # Project:  toMOTko.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile toMOTko.pro
@@ -10,10 +10,10 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
+DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
 CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I.
+INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4/QtXml -I/targets/DIABLO_X86/usr/include/qt4 -I. -Isrc -I.
 LINK          = g++
 LFLAGS        = -Wl,-O1
 LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtCore -lpthread
@@ -232,7 +232,10 @@
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
+		/usr/lib/libQtXml.prl \
+		/usr/lib/libQtGui.prl \
+		/usr/lib/libQtCore.prl
 	$(QMAKE) -unix -o Makefile toMOTko.pro
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
@@ -253,6 +256,9 @@
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
+/usr/lib/libQtXml.prl:
+/usr/lib/libQtGui.prl:
+/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile toMOTko.pro
 
@@ -277,4 +283,3 @@
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
 
-compiler_moc_header_make_all: moc_DigraphLineEdit.cpp moc_HelpBrowser.cpp moc_ScrollableLineEdit.cpp moc_ScrollableMultiLineEdit.cpp moc_DigraphMultiLineEdit.cpp moc_Preferences.cpp moc_PropertiesPanel.cpp moc_TermDialog.cpp moc_TranslationSelectionDialog.cpp moc_HistoryField.cpp moc_SearchDialog.cpp moc_SequenceDialog.cpp moc_PreferencesDialog.cpp moc_Controller.cpp moc_MainWindow.cpp moc_QuizFrame.cpp moc_VocabularyManagerFrame.cpp moc_VocabTreeView.cpp

=== debian/changelog ===
tomotko (0.11.2-4) unstable; urgency=low

  * Show some windows in full-screen to make them usable.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Fri, 10 Sep 2009 00:41:45 +0900

## tomotko 0.11.2-5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: toMOTko
-# Generated by qmake (2.01a) (Qt 4.5.2) on: Thu Sep 10 15:06:32 2009
+# Generated by qmake (2.01a) (Qt 4.5.2) on: Wed Sep 16 10:45:07 2009
 # Project:  toMOTko.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile toMOTko.pro

=== debian/changelog ===
tomotko (0.11.2-5) unstable; urgency=low

  * Show TermDialog and SearchDialog in full-screen to prevent deadlock bug mentioned by Kurochka.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Fri, 17 Sep 2009 00:41:45 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	lupdate toMOTko.pro
	lrelease toMOTko.pro
	qmake toMOTko.pro
	$(MAKE)
	#docbook-to-man debian/tomotko.sgml > tomotko.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tomotko.
	install -d $(CURDIR)/debian/tomotko/usr/share/applications/hildon
	install -m644 etc/deb/toMOTko.desktop $(CURDIR)/debian/tomotko/usr/share/applications/hildon/toMOTko.desktop

	install -d $(CURDIR)/debian/tomotko/usr/share/pixmaps
	install -m644 pics/toMOTko.png $(CURDIR)/debian/tomotko/usr/share/pixmaps/toMOTko.png

	install -d $(CURDIR)/debian/tomotko/usr/share/man/man1
	install -m644 etc/deb/toMOTko.1 $(CURDIR)/debian/tomotko/usr/share/man/man1/toMOTko.1
	
	install -m755 toMOTko $(CURDIR)/debian/tomotko/usr/bin/toMOTko

	$(MAKE) DESTDIR=$(CURDIR)/debian/tomotko install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changes.log
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tomotko 0.11.2-6

=== debian/changelog ===
tomotko (0.11.2-6) unstable; urgency=low

  * Removed keyboard accelerator for Quit.
  * Increased default fonts size.
  * Added a statement to optify the application.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Fri, 28 Oct 2009 00:41:45 +0900

## tomotko 0.11.2-7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: toMOTko
-# Generated by qmake (2.01a) (Qt 4.5.2) on: Wed Sep 16 10:45:07 2009
+# Generated by qmake (2.01a) (Qt 4.5.2) on: Tue Oct 27 12:18:41 2009
 # Project:  toMOTko.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile toMOTko.pro

=== debian/changelog ===
tomotko (0.11.2-7) unstable; urgency=low

  * Moved data location from home directory to /opt.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Fri, 30 Oct 2009 00:41:45 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/education
 Priority: extra
 Maintainer: Frederic Bergeron <fbergeron@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), libqt4-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, maemo-optify
 Standards-Version: 3.7.2
 
 Package: tomotko
@@ -11,6 +11,7 @@
 Description: Flashcard application to learn vocabulary
  Flashcard application convenient for people wanting to learn
  vocabulary in one or more foreign languages.
+Xsbc-Bugtracker: http://sourceforge.net/tracker?group_id=181531&atid=897575
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## tomotko 0.11.2-8

=== debian/changelog ===
tomotko (0.11.2-8) unstable; urgency=low

  * Replaced mkdir() by mkpath() when creating data directory.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Tue, 3 Nov 2009 00:41:45 +0900

## tomotko 0.11.2-9

=== debian/changelog ===
tomotko (0.11.2-9) unstable; urgency=low

  * Revert user's data location to home directory.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Tue, 4 Nov 2009 00:41:45 +0900

## tomotko 0.11.2-9fremantle0

=== Makefile ===
#############################################################################
# Makefile for building: toMOTko
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Mar 13 16:47:29 2010
# Project:  toMOTko.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile toMOTko.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_X86/opt/qt4-maemo5/include -I. -Isrc -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/Util.cpp \
		src/BilingualKey.cpp \
		src/DigraphLineEdit.cpp \
		src/HelpBrowser.cpp \
		src/ScrollableLineEdit.cpp \
		src/ScrollableMultiLineEdit.cpp \
		src/DigraphMultiLineEdit.cpp \
		src/Sequence.cpp \
		src/Preferences.cpp \
		src/PropertiesPanel.cpp \
		src/TermDialog.cpp \
		src/TranslationSelectionDialog.cpp \
		src/ResultListItem.cpp \
		src/HistoryField.cpp \
		src/SearchDialog.cpp \
		src/SequenceDialog.cpp \
		src/SequenceListItem.cpp \
		src/PreferencesDialog.cpp \
		src/Controller.cpp \
		src/main.cpp \
		src/MainWindow.cpp \
		src/PixMap.cpp \
		src/QuizFrame.cpp \
		src/VocabularyManagerFrame.cpp \
		src/Term.cpp \
		src/TermKey.cpp \
		src/Folder.cpp \
		src/TermListItem.cpp \
		src/StandbyTerm.cpp \
		src/TermScheduler.cpp \
		src/Translation.cpp \
		src/VocabTreeView.cpp \
		src/TreeItem.cpp \
		src/VocabTreeItem.cpp \
		src/FolderTreeItem.cpp \
		src/FolderParser.cpp \
		src/VocabParser.cpp \
		src/Vocabulary.cpp \
		src/minizip/ioapi.c \
		src/minizip/zip.c \
		src/minizip/unzip.c moc_DigraphLineEdit.cpp \
		moc_HelpBrowser.cpp \
		moc_ScrollableLineEdit.cpp \
		moc_ScrollableMultiLineEdit.cpp \
		moc_DigraphMultiLineEdit.cpp \
		moc_Preferences.cpp \
		moc_PropertiesPanel.cpp \
		moc_TermDialog.cpp \
		moc_TranslationSelectionDialog.cpp \
		moc_HistoryField.cpp \
		moc_SearchDialog.cpp \
		moc_SequenceDialog.cpp \
		moc_PreferencesDialog.cpp \
		moc_Controller.cpp \
		moc_MainWindow.cpp \
		moc_QuizFrame.cpp \
		moc_VocabularyManagerFrame.cpp \
		moc_VocabTreeView.cpp \
		qrc_toMOTko.cpp
OBJECTS       = Util.o \
		BilingualKey.o \
		DigraphLineEdit.o \
		HelpBrowser.o \
		ScrollableLineEdit.o \
		ScrollableMultiLineEdit.o \
		DigraphMultiLineEdit.o \
		Sequence.o \
		Preferences.o \
		PropertiesPanel.o \
		TermDialog.o \
		TranslationSelectionDialog.o \
		ResultListItem.o \
		HistoryField.o \
		SearchDialog.o \
		SequenceDialog.o \
		SequenceListItem.o \
		PreferencesDialog.o \
		Controller.o \
		main.o \
		MainWindow.o \
		PixMap.o \
		QuizFrame.o \
		VocabularyManagerFrame.o \
		Term.o \
		TermKey.o \
		Folder.o \
		TermListItem.o \
		StandbyTerm.o \
		TermScheduler.o \
		Translation.o \
		VocabTreeView.o \
		TreeItem.o \
		VocabTreeItem.o \
		FolderTreeItem.o \
		FolderParser.o \
		VocabParser.o \
		Vocabulary.o \
		ioapi.o \
		zip.o \
		unzip.o \
		moc_DigraphLineEdit.o \
		moc_HelpBrowser.o \
		moc_ScrollableLineEdit.o \
		moc_ScrollableMultiLineEdit.o \
		moc_DigraphMultiLineEdit.o \
		moc_Preferences.o \
		moc_PropertiesPanel.o \
		moc_TermDialog.o \
		moc_TranslationSelectionDialog.o \
		moc_HistoryField.o \
		moc_SearchDialog.o \
		moc_SequenceDialog.o \
		moc_PreferencesDialog.o \
		moc_Controller.o \
		moc_MainWindow.o \
		moc_QuizFrame.o \
		moc_VocabularyManagerFrame.o \
		moc_VocabTreeView.o \
		qrc_toMOTko.o
DIST          = /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		toMOTko.pro
QMAKE_TARGET  = toMOTko
DESTDIR       = 
TARGET        = toMOTko

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: toMOTko.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile toMOTko.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile toMOTko.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/toMOTko1.0.0 || $(MKDIR) .tmp/toMOTko1.0.0

=== etc/MaemoDeb/debian/changelog ===
tomotko (0.11.2-9fremantle0) unstable; urgency=low

  * Began hildonization of the application for Fremantle.  Not complete but
    functional enough.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Sun, 13 Mar 2010 00:41:45 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/education
 Priority: extra
 Maintainer: Frederic Bergeron <fbergeron@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), libqt4-dev, maemo-optify
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, maemo-optify
 Standards-Version: 3.7.2
 
 Package: tomotko
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libtq4-maemo5-gui, libqt4-maemo5-xml, libqt4-maemo5-maemo5
 Description: Flashcard application to learn vocabulary
  Flashcard application convenient for people wanting to learn
  vocabulary in one or more foreign languages.

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,9 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	lupdate toMOTko.pro
-	lrelease toMOTko.pro
-	qmake toMOTko.pro
+	/opt/qt4-maemo5/bin/lupdate toMOTko.pro
+	/opt/qt4-maemo5/bin/lrelease toMOTko.pro
+	/opt/qt4-maemo5/bin/qmake toMOTko.pro
 	$(MAKE)
 	#docbook-to-man debian/tomotko.sgml > tomotko.1
 
@@ -105,6 +105,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify tomotko
 	dh_md5sums
 	dh_builddeb
